summaryrefslogtreecommitdiffstats
path: root/Doc
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>1999-04-29 18:28:48 (GMT)
committerFred Drake <fdrake@acm.org>1999-04-29 18:28:48 (GMT)
commitc1db512b2beb6abf2145bc503f1cd50eb1b21d0d (patch)
tree12c0d7493fc7a29e551f3211db7643cb63079726 /Doc
parent664c72f8a146e5da144bc4c6dc13641c9976cfd2 (diff)
downloadcpython-c1db512b2beb6abf2145bc503f1cd50eb1b21d0d.zip
cpython-c1db512b2beb6abf2145bc503f1cd50eb1b21d0d.tar.gz
cpython-c1db512b2beb6abf2145bc503f1cd50eb1b21d0d.tar.bz2
Nasty hack to add a --numeric parameter to skip the use of "logical"
names.
Diffstat (limited to 'Doc')
-rwxr-xr-xDoc/tools/mkhtml.sh17
1 files changed, 14 insertions, 3 deletions
diff --git a/Doc/tools/mkhtml.sh b/Doc/tools/mkhtml.sh
index e20d3bf..8857ef8 100755
--- a/Doc/tools/mkhtml.sh
+++ b/Doc/tools/mkhtml.sh
@@ -13,6 +13,13 @@ cd `dirname $0`/..
srcdir=`pwd`
cd $WORKDIR
+use_logical_names=true
+
+if [ "$1" = "--numeric" ] ; then
+ use_logical_names=''
+ shift 1
+fi
+
part=$1; shift 1
TEXINPUTS=$srcdir/$part:$TEXINPUTS
@@ -35,6 +42,10 @@ latex2html \
echo "cp $srcdir/html/style.css $part/$part.css"
cp $srcdir/html/style.css $part/$part.css || exit $?
-echo "(cd $part; $srcdir/tools/node2label.pl \*.html)"
-cd $part
-$srcdir/tools/node2label.pl *.html || exit $?
+if [ "$use_logical_names" ] ; then
+ echo "(cd $part; $srcdir/tools/node2label.pl \*.html)"
+ cd $part
+ $srcdir/tools/node2label.pl *.html || exit $?
+else
+ echo "Skipping use of logical file names due to --numeric."
+fi